Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 584111 - Review Request: cmatrix - Simulate the display from "The Matrix"
Summary: Review Request: cmatrix - Simulate the display from "The Matrix"
Keywords:
Status: CLOSED DUPLICATE of bug 1462465
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-04-20 19:12 UTC by Ayush Mah'ri
Modified: 2017-06-17 21:20 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-01 15:17:41 UTC


Attachments (Terms of Use)

Description Ayush Mah'ri 2010-04-20 19:12:30 UTC
SPEC URL: http://hakmn.fedorapeople.org
SRPM URL: http://hakmn.fedorapeople.org
Description: The Cmatrix package shows a "Matrix" like screen in Linux.
CMatrix is based on the screensaver from The Matrix website. It works
with terminal settings up to 132x300 and can scroll lines all at the same
rate or asynchronously and at a user-defined speed.

This is my first packaging experience & i would appreciate if somebody sponsors me.

Comment 1 Howard Ning 2010-04-21 00:48:26 UTC
At first glance, there are three problems:
1. Your spec file is a little dirty with some unnecessary unnecessary comments. And also it would be better to add blank line between sections.
2. The spec in your SRPM files differs from the SPEC you have given.
3. The license is wrong. It should be GPLv2

Comment 2 Germán Racca 2010-04-22 04:53:37 UTC
Hello:

Some comments to your package. Don't forget that I'm looking for sponsorship :-)

As I understand from the COPYING file in the tarball, the correct license should be GPLv2+ (note the + symbol). See here:

https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#.22or_later_version.22_licenses

But...there is one thing I don't understand, and it is the header in the c file that specifies GPLv1+...maybe someone else can clarify this.

You can dropp "--prefix=%{_usr} --mandir=%{_usr}/share/man" from the configure line, rpmbuild takes care of it.

A koji build from scratch failed:

$ koji build --scratch dist-f12 cmatrix-1.2a-1.src.rpm 
Uploading srpm: cmatrix-1.2a-1.src.rpm
[====================================] 100% 00:00:08  75.87 KiB   9.23 KiB/sec
Created task: 2131455
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2131455
None
Watching tasks (this may be safely interrupted)...
2131455 build (dist-f12, cmatrix-1.2a-1.src.rpm): open (x86-02.phx2.fedoraproject.org)
  2131461 buildArch (cmatrix-1.2a-1.src.rpm, i686): open (x86-06.phx2.fedoraproject.org)
  2131458 buildArch (cmatrix-1.2a-1.src.rpm, ppc): open (ppc08.phx2.fedoraproject.org)
  2131460 buildArch (cmatrix-1.2a-1.src.rpm, ppc64): open (ppc10.phx2.fedoraproject.org)
  2131459 buildArch (cmatrix-1.2a-1.src.rpm, x86_64): open (x86-03.phx2.fedoraproject.org)
  2131459 buildArch (cmatrix-1.2a-1.src.rpm, x86_64): open (x86-03.phx2.fedoraproject.org) -> FAILED: BuildError: error building package (arch x86_64), mock exited with status 1; see build.log for more information
  0 free  4 open  0 done  1 failed
  2131460 buildArch (cmatrix-1.2a-1.src.rpm, ppc64): open (ppc10.phx2.fedoraproject.org) -> canceled
  0 free  3 open  1 done  1 failed
  2131461 buildArch (cmatrix-1.2a-1.src.rpm, i686): open (x86-06.phx2.fedoraproject.org) -> FAILED: BuildError: error building package (arch i686), mock exited with status 1; see build.log for more information
  0 free  2 open  1 done  2 failed
2131455 build (dist-f12, cmatrix-1.2a-1.src.rpm): open (x86-02.phx2.fedoraproject.org) -> FAILED: BuildError: error building package (arch i686), mock exited with status 1; see build.log for more information
  0 free  1 open  1 done  3 failed
  2131458 buildArch (cmatrix-1.2a-1.src.rpm, ppc): open (ppc08.phx2.fedoraproject.org) -> canceled
  0 free  0 open  2 done  3 failed

2131455 build (dist-f12, cmatrix-1.2a-1.src.rpm) failed

*Pay careful attention to the packages you need to compile cmatrix and add them to the BuildRoot tag*. See here for more informations:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2131455

Good luck!
Germán.

Comment 3 Germán Racca 2010-04-22 04:55:31 UTC
Sorry, I mean *BuildRequires* tag, not BuildRoot :-)

Comment 4 Ayush Mah'ri 2010-04-23 15:07:41 UTC
SRPM URL : http://hakmn.fedorapeople.org/cmatrix-1.2a-1.src.rpm
SPEC URLhttp://hakmn.fedorapeople.org/cmatrix.spec

Thanx Raccs for the valuable comments.
I edited the spec file and resubmitted it .
Also mailed the package creator for the clarification on License.



Regards,
AYush

Comment 5 Ayush Mah'ri 2010-04-23 15:10:03 UTC
The SPEC URL is mistyped above :( .

SPEC URL: http://hakmn.fedorapeople.org/cmatrix.spec

Comment 6 Germán Racca 2010-04-23 23:40:43 UTC
Hello AYush:

Your package still has various problems. You need to add

BuildRequires: ncurses-devel

to build successfully in koji. It's essential that your package does compile from scratch. Then put the output of rpmlint, it will be useful to.

Cheers,
Germán.

Comment 7 Susi Lehtola 2010-04-25 16:26:22 UTC
Be sure to go through the Fedora guidelines, most importantly of which
 http://fedoraproject.org/wiki/Packaging/Guidelines
 http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
Additionally to the Packaging Guidelines, there are a bunch of language / application specific guidelines that are linked to in the Packaging Guidelines.

Here are some tricks of the trade:
http://fedoraproject.org/wiki/Packaging_tricks
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
http://fedoraproject.org/wiki/Common_Rpmlint_issues


**

Notes:

- increment the release every time you make changes to the spec file, also during the review process. This makes it easier for others to see what has been done.

- your changelog does not adhere to the changelog format, you need to add the release. (See packaging guidelines) Also, add an empty line inbetween different changelog entries.

- Use
 make %{?_smp_mflags}
instead of
 make
to enable SMP build.

- Drop explicit Requires: ncurses. This is automatically picked up by rpm.

- I suggest changing Source: to Source0.

- Use %{version} macro in source line, i.e.
 http://www.asty.org/cmatrix/dist/cmatrix-1.2a.tar.gz
should be
 http://www.asty.org/cmatrix/dist/cmatrix-%{version}.tar.gz

- Don't duplicate the name in the summary. The summary should be:
 Simulate the display from "The Matrix"

Comment 8 Ayush Mah'ri 2010-04-25 18:57:30 UTC
(In reply to comment #7)
> Be sure to go through the Fedora guidelines, most importantly of which
>  http://fedoraproject.org/wiki/Packaging/Guidelines
>  http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
> Additionally to the Packaging Guidelines, there are a bunch of language /
> application specific guidelines that are linked to in the Packaging Guidelines.
> 
> Here are some tricks of the trade:
> http://fedoraproject.org/wiki/Packaging_tricks
> http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
> http://fedoraproject.org/wiki/Common_Rpmlint_issues
> 
> 
> **
> 
> Notes:
> 
> - increment the release every time you make changes to the spec file, also
> during the review process. This makes it easier for others to see what has been
> done.
> 
> - your changelog does not adhere to the changelog format, you need to add the
> release. (See packaging guidelines) Also, add an empty line inbetween different
> changelog entries.
> 
> - Use
>  make %{?_smp_mflags}
> instead of
>  make
> to enable SMP build.
> 
> - Drop explicit Requires: ncurses. This is automatically picked up by rpm.
> 
> - I suggest changing Source: to Source0.
> 
> - Use %{version} macro in source line, i.e.
>  http://www.asty.org/cmatrix/dist/cmatrix-1.2a.tar.gz
> should be
>  http://www.asty.org/cmatrix/dist/cmatrix-%{version}.tar.gz
> 
> - Don't duplicate the name in the summary. The summary should be:
>  Simulate the display from "The Matrix"    

Thanks Jussi for the comments.
I'd edited the spec file as commented by you & included rpmlint output in another file .
SRPM URL : http://hakmn.fedorapeople.org/cmatrix-1.2a-2.src.rpm
SPEC URL : http://hakmn.fedorapeople.org/cmatrix.spec
RPMLINT o/p URL : http://hakmn.fedorapeople.org/rpmlint-cmatrix

Comment 9 Susi Lehtola 2010-04-25 21:31:16 UTC
- The line
 %define version 1.2a
is redundant. The Version tag already defines the macro %{version}.

- The line
 %{_mandir}/*/*
is a bit too general. Be more verbose. Use wildcards only when necessary, since they may end up owning things that they're not supposed to.

- The original spec you used was 1.2a-1. Your first should have been 1.2a-2, and the second one 1.2a-3. So the next version-release should be 1.2a-4. Rectify this.

- When you do the above, indicate what you have changed in the releases in the changelog.

- Note that the changelog is still not in the correct format. See
fedoraproject.org/wiki/Packaging/Guidelines#Changelogs

Comment 10 Ayush Mah'ri 2010-04-26 06:17:10 UTC
Thanks Jussi for the comments. I've mixed up all in my head i read from the Packaging Guidelines pages. I'll not commit such silly mistakes again. :)

I've edited the spec & build srpm, here are they newly uploaded -->

SPEC URL : http://hakmn.fedorapeople.org/cmatrix-1.2a-3.spec
SRPM URL : http://hakmn.fedorapeople.org/cmatrix-1.2a-3.src.rpm

RPMLINT O/P URL : http://hakmn.fedorapeople.org/rpmlint-cmatrix-1.2a-3

Comment 11 Ankur Sinha (FranciscoD) 2010-05-03 19:26:03 UTC
hey,

The package also uses *ancient* font locations. I've pinged upstream requesting him to update his autotooling. Hopefully we'll have an updated source soon. 

Ankur

Comment 12 Martin Gieseking 2010-05-24 08:42:47 UTC
A couple of additional comments:

- rename the spec file to cmatrix.spec

- append %{?dist} to the Release number

- replace %doc %{_mandir}/man1/cmatrix.1.gz 
  with %{_mandir}/man1/cmatrix.1*


$ rpmlint /var/lib/mock/fedora-12-x86_64/result/*.rpm
cmatrix.src: W: spelling-error %description -l en_US screensaver -> screen saver, screen-saver, screens aver
cmatrix.src: E: invalid-spec-name
cmatrix.src: W: no-cleaning-of-buildroot %install
cmatrix.src: W: no-buildroot-tag
cmatrix.x86_64: W: spelling-error %description -l en_US screensaver -> screen saver, screen-saver, screens aver
3 packages and 0 specfiles checked; 1 errors, 4 warnings.

Comment 14 Ankur Sinha (FranciscoD) 2010-05-29 07:24:06 UTC
hey,

next step:

http://fedoraproject.org/w/index.php?title=PackageMaintainers/HowToGetSponsored&redirect=no

regards,
Ankur

Comment 15 Jason Tibbitts 2010-12-22 19:53:32 UTC
Have you done any other review work?  Did you still wish to submit this package?

Comment 16 Ayush Mah'ri 2010-12-22 22:22:07 UTC
Hey Jason,

Unfortunately , i haven't done any other review work but i still wish to submit this package .

Regards,
Ayush

Comment 17 Ankur Sinha (FranciscoD) 2010-12-26 07:00:37 UTC
Ayush, 

You will need to review packages etc. in order to get sponsored to the packager group. Please have a look at this link on how to proceed. 

http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

regards,
Ankur

Comment 18 Jon Kent 2011-01-14 22:14:40 UTC
Hi,

Is there still life in this package, if not I'm happy to take this on board.

regards,
Jon

Comment 19 Ayush Mah'ri 2011-01-16 15:33:03 UTC
Hi Jon,
You can take it, if you like.

Regards,
ayush

Comment 20 Jon Kent 2011-01-18 21:59:05 UTC
Hi Ayush,

Why didn't this go anywhere, all builds fine and the spec looks good to me.  Is it just sponsorship issues?

Cheers,

Jon

Comment 21 Jason Tibbitts 2011-01-18 23:10:21 UTC
I think so.  I'm not sure if there's any will to do any other review work, and the package is pretty trivial so we (the sponsors) don't have much of an idea of how well the guidelines are actually understood.  The URL with instructions on how to obtain sponsorship were posted twice but it seems that Ayush doesn't want to follow them.

And, to be brutally honest, the software scrolls some green text around the screen.  It's not going to be a really high priority.

Comment 22 Ayush Mah'ri 2011-01-19 08:13:03 UTC
Hello guys,

I confess that i've been quite lazy in following some other review work due to few reasons.
Now, I will make sure to follow the procedures so as to gain the sight of sponsors.

Please bear in for few days more with this package :)

Thanks n Regards,
Ayush

Comment 23 David Nalley 2011-04-10 04:38:54 UTC
Ayush:

Have you done any informal reviews as suggested several months ago?? Please provide links here if you have.

Comment 24 Ayush Mah'ri 2011-04-10 13:31:52 UTC
David:
I regret, i didn't had done any reviews.

Comment 25 Ken Dreyer 2012-05-30 14:29:05 UTC
I'm interested in seeing this package in Fedora. It looks like this spec will need to be updated to include the matrix font.

Ayush: are you still interested in packaging this?

Comment 26 Ayush Mah'ri 2012-05-31 16:44:43 UTC
Hi Ken,

Please feel free to take it.

Regards,
Ayush

Comment 27 Raphael Groner 2017-06-17 21:20:21 UTC

*** This bug has been marked as a duplicate of bug 1462465 ***


Note You need to log in before you can comment on or make changes to this bug.